//======================================================================
//	KPUView.cc
//----------------------------------------------------------------------
//	Copyright © 1997 KISAKA Toshihiro.
//		kisaka@pochi.iijnet.or.jp
//======================================================================

#include "KPUView.h"

//	System Headers
#include <Debug.h>

//	Project Headers
#include "PullUp.h"
#include "KPUApp.h"


//======================================================================
//	Class: KPUView
//======================================================================

//----------------------------------------------------------------------
//	KPUView()
//----------------------------------------------------------------------

KPUView::KPUView()
	: BView(BRect(0, 0, 0, 0), "hidden view", B_FOLLOW_NONE, B_PULSE_NEEDED)
{
}


//----------------------------------------------------------------------
//	~KPUView()
//----------------------------------------------------------------------

KPUView::~KPUView()
{
}


//----------------------------------------------------------------------
//	Pulse()
//----------------------------------------------------------------------

void
KPUView::Pulse()
{
	BPoint aLoc;
	uint32 dummy;

	this->GetMouse(&aLoc, &dummy);
	this->ConvertToScreen(&aLoc);
	PRINT_OBJECT((aLoc));

	BRect aHotRect = my_app->HotRect();

	if (!aHotRect.IsValid())
		return;

	if (aHotRect.Contains(aLoc))
	{
		team_id aTeam = be_roster->TeamFor(kSigDeskbar);
		if (aTeam != B_ERROR)
			be_roster->ActivateApp(aTeam);
//		else
//			be_roster->Launch(kSigDeskbar);
	}
}
